/*******************(C) COPYRIGHT 2021 Masses-Chip ******************************
*Project Name        : M9F680_ADC.Prj
* File Name          : M9F680_ADC.C
* Author             : MASSES CHIP
* Version            : V2.00
* Date               : 2021/09/15
* Web    			 : www.masses-chip.com
* FAE                : Luo
*  				 	 : QQ：411680975
********************************************************************************/
/*采集10次AD值，去掉最大值和最小值，对剩下的AD值求平均,结果存放在ADC_DATA_Sum中
*作为一次AD值
********************************************************************************/

#include "zc.h"
#include "MASSESCHIP_DEFINE.H"

volatile unsigned	int	 ADC_Temp;
volatile unsigned  	int	 ADC_MAX_DATA;
volatile unsigned  	int	 ADC_MIN_DATA;
volatile unsigned  	int	 ADC_DATA_Sum;
volatile unsigned  	int	 ADC_Data;
void ADC_Work(void)
{
		uchar	i;
		ADC_MIN_DATA = 0x0FFF;				 		//最小值赋值
		ADC_MAX_DATA = 0x0000;				 		//最大值赋值
		ADC_DATA_Sum = 0x0000;		
		for(i=0;i<10;i++)
		{
			ADS = 1;
			while(ADS==1);
			ADC_Temp = AD;
			ADC_DATA_Sum = ADC_DATA_Sum+ADC_Temp;
			if(ADC_Temp>ADC_MAX_DATA)
				ADC_MAX_DATA = ADC_Temp;
			if(ADC_Temp<ADC_MIN_DATA)
				ADC_MIN_DATA = ADC_Temp;
			
		}
	ADC_DATA_Sum = ADC_DATA_Sum-ADC_MAX_DATA-ADC_MIN_DATA;
	ADC_DATA_Sum = ADC_DATA_Sum>>3; 			//剩下8组数据平均		
		//测量ADC通道的最后结果放在ADC_DATA_SUM			
}

/*********************************END OF FILE************************************/